*{ box-sizing: border-box }
html {
    --deep-green: rgb(7 65 30);
    --white: rgb(216, 216, 216);
    --blue-primary: #008cff;
    --whatsapp-primary: #00a329;
    --body: var(--deep-green);
    --text: var(--white);
    --marquee-bg: rgb(139 69 19 / 75%);
    --fsize: 14px;
    --button-size: 48px;
    --button-pad: 24px;
    --marquee-size: 42px;
}
html, 
body {
    margin: 0;
    padding: 0;
}
body {
    font-family: "Open Sans", system-ui;
    font-size: var(--fsize);
    background-color: var(--body);
    color: var(--text);
}
.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

/* curtain */
.curtain {
    background-position: center;
    background-image: 
        linear-gradient(0deg, var(--body), rgba(0,0,0,.5)),
        url(../img/curtain.jpeg);
    background-size: cover;
}

/* heading */
h1, h2 {
    margin: 0;
    font-weight: 500;
}
h1 { font-size: 1.8rem }
h2 { 
    border-left: solid 2px rgba(255, 255, 255, 0.719);
    padding-left: 16px;
    max-width: 620px;
    font-size: 1rem;
    opacity: .8;    
}
.heading {
    display: flex;
    padding: 32px;
    gap: 48px;
}
.heading > img {
    --size: 192px;
    width: var(--size);
    height: var(--size);
    border-radius: var(--size);
}
.heading > .details {
    display: flex;
    flex-direction: column;
}
.heading > .details > .contact > span {
    white-space: nowrap;
}
.heading > .details > .buttons {
    display: flex;
    gap: 8px;
}

/* marquee */
.marquee{
    --bg-offset: 100px;
    padding: 5px;
    height: var(--marquee-size);
    background-color: var(--marquee-bg);
    background-repeat: repeat-x;
    font-size: 1rem;
    animation: ani-marquee 1.5s linear infinite;    
}

/* grid */
.grid {
    --cols: 5;
    --pad: 0px;
    --gap: 2px;
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap);
    margin: 1px auto;
    padding: 0px var(--pad);
    background-color: rgba(0, 0, 0, 1);
}
.grid-item {
    --img: none;
    flex: 0 0 calc(
        (100% - (var(--cols) - 1) * var(--gap)) / var(--cols)
    );
    position: relative;
    list-style: none;
    background-image: var(--img);
    background-size: cover;
    background-position: center;
}
.grid-item::before {
    content: "";
    display: block;
    padding-top: calc(100%);
}
.grid-item:hover {
    opacity: .7;
}

/* footer */

/* buttons */
button {
    --bg: rgb(19, 19, 19);
    --tx: white;
    --overlay-bg: transparent;
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    height: var(--button-size);
    padding: 0px var(--button-pad);
    border-radius: var(--button-size);
    font: inherit;
    font-weight: 600;
    cursor: pointer;
    border: none;
    outline: none;
    background-color: var(--bg);
    color: var(--tx);
}
button::after {
    content: '';
    position: absolute; 
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    background: var(--overlay-bg);
    transition: background 0.12s ease;
    pointer-events: none;
    border-radius: inherit;
}
button:hover { --overlay-bg: rgba(0,0,0,.15); }
button > .bi { font-size: 1rem; }
button.primary {--bg: var(--blue-primary)}
button.whatsapp {--bg: var(--whatsapp-primary)}


/* helpers */
.mt-1 { margin-top: 8px; }
.mt-2 { margin-top: 16px; }


@media (max-width: 1620px){ .grid { --cols: 4;} }
@media (max-width: 1280px){ .grid { --cols: 3;} }
@media (max-width: 850px){ 
    .heading { 
        flex-direction: column;
        padding: 32px 16px;
        gap: 24px;
    }
    .heading > img { --size: 150px; }
    h1 { font-size: 1.5rem }
    h2 { font-size: 0.8rem }
    .grid { --cols: 2;} 
    button.sm-compact {
        flex: 0 0 auto;
        width: var(--button-size);
        padding: 0;
    }
    button.sm-compact > .caption {
        display: none;
    }
}
/*@media (max-width: 480px){ .grid { --cols: 1; } }*/

@keyframes ani-marquee {
    0% { background-position: 0% }
    100% { background-position: var(--bg-offset) }
}
